Bug 1268127 - `hammer ping` fails with trace on RHEL 6.7
`hammer ping` fails with trace on RHEL 6.7
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
Unspecified
Unspecified Unspecified
unspecified Severity high (vote)
: 6.1.3
: --
Assigned To: Katello Bug Bin
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-01 17:22 EDT by Corey Welton
Modified: 2017-02-23 14:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-15 14:49:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2015-10-01 17:22:52 EDT
Description of problem:
Attempting to execute a `hammer ping` does not work and returns a trace.  This only seems to affect RHEL 6.7

Version-Release number of selected component (if applicable):
6.1.3 compose #1 - 1-Oct-2015

How reproducible:
Every time

Steps to Reproduce:
1. Install product
2. Execute 'hammer ping' with appropriate credentials


Actual results:

[root@qe-sat6-rhel67 ~]# hammer -u admin -p changeme ping
Error: 705: unexpected token at '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<meta name="generator" content="Phusion Passenger">
	<title>Web application could not be started</title>
	<style type="text/css">
		body {
	font-family: Verdana, 'Bitstream Vera Sans', Arial, Sans-Serif;
	font-size: 10pt;
	background: white;
	color: #222222;
	margin: 0;
	padding-top: 3em;
	padding-bottom: 3em;
	padding-left: 4.5em;
	padding-right: 4.5em;
}

h1 {
	font-size: 17pt;
	font-weight: medium;
	color: #533e72;
	border-bottom: 1px solid #533e72;
}

h1.title {
	margin-top: 0;
}

h1.error_title {
	color: red;
	border-bottom: 1px solid red;
}

a {
	text-decoration: none;
}

a:hover {
	text-decoration: underline;
}

dt {
	font-weight: bold;
	color: #280050;
}

dd {
	margin-top: 0.5em;
	margin-bottom: 1em;
}

.commands {
	border: 1px solid #b594e7;
	background: #ddc6ff;
	padding: 0.5em;
	margin: 0.5em;
	font-family: 'Bitstream Vera Sans Mono', 'Courier New', Monospace;
}

pre {
	overflow: auto;
	white-space: pre-wrap;
	text-align: left;
}

table.backtrace th {
	background: #8470a6;
	color: white;
}

table.backtrace th,
table.backtrace td {
	padding: 0.2em;
	padding-left: 0.4em;
	padding-right: 0.4em;
}

table.backtrace tr td {
	background: #ecdfff;
}

table.backtrace tr.even td {
	background: #f7f2ff;
}

table.backtrace td.index {
	font-weight: bold;
}

#site_footer {
	border-top: solid 1px black;
	margin-top: 1em;
	padding-top: 1em;
	font-size: small;
	color: #777777;
}

#site_footer a {
	color: #65498e;
}

#site_footer a:hover {
	color: #9681d9;
}

#site_header .corporate_identity {
	display: none;
}

	</style>
	<link rel="stylesheet" type="text/css" href="http://www.modrails.com/error_pages/1.0/error_page.css">
	<style type="text/css">
		dd {
			text-align: left;
		}

		dd pre {
			margin-top: 0;
			margin-bottom: 0;
		}
	</style>
</head>

<body>

	<div id="site_container">
		<div id="site_header">
			<ul class="corporate_identity">
				<li class="logo"><a href="https://www.phusionpassenger.com"><span>Phusion Passenger</span></a></li>
			</ul>
		</div>
		<div id="site_body">
			<h1 class="error_title">Web application could not be started</h1>
			<div id="content">
				<pre>uninitialized constant ActiveModel:<wbr>:<wbr>ForbiddenAttributesProtection (NameError)
  /opt/rh/ruby193/root/usr/share/gems/gems/foreman_hooks-0.3.7/lib/foreman_hooks.rb:<wbr>83:<wbr>in `load_missing_constant_with_hooks&apos;
  /opt/rh/ruby193/root/usr/share/gems/gems/rake-0.9.2.2/lib/rake/ext/module.rb:<wbr>36:<wbr>in `const_missing&apos;
  /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.70/app/models/katello/model.rb:<wbr>15:<wbr>in `&lt;class:<wbr>Model&gt;&apos;
  /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.70/app/models/katello/model.rb:<wbr>14:<wbr>in `&lt;module:<wbr>Katello&gt;&apos;
  /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.70/app/models/katello/model.rb:<wbr>13:<wbr>in `&lt;top (required)&gt;&apos;
  /opt/rh/ruby193/root/usr/share/rubygems/rubygems/custom_require.rb:<wbr>36:<wbr>in `require&apos;
  /opt/rh/ruby193/root/usr/share/rubygems/rubygems/custom_require.rb:<wbr>36:<wbr>in `require&apos;
  /opt/rh/ruby193/root/usr/share/gems/gems/foreman_hooks-0.3.7/lib/foreman_hooks.rb:<wbr>83:<wbr>in `load_missing_constant_with_hooks&apos;
  /opt/rh/ruby193/root/usr/share/gems/gems/rake-0.9.2.2/lib/rake/ext/module.rb:<wbr>36:<wbr>in `const_missing&apos;
  /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.70/app/models/katello/system.rb:<wbr>15:<wbr>in `&lt;module:<wbr>Katello&gt;&apos;
  /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.70/app/models/katello/system.rb:<wbr>14:<wbr>in `&lt;top (required)&gt;&apos;
  /opt/rh/ruby193/root/usr/share/rubygems/rubygems/custom_require.rb:<wbr>36:<wbr>in `require&apos;
  /opt/rh/ruby193/root/usr/share/rubygems/rubygems/custom_require.rb:<wbr>36:<wbr>in `require&apos;
  /opt/rh/ruby193/root/usr/share/gems/gems/foreman_hooks-0.3.7/lib/foreman_hooks.rb:<wbr>83:<wbr>in `load_missing_constant_with_hooks&apos;
  /opt/rh/ruby193/root/usr/share/gems/gems/rake-0.9.2.2/lib/rake/ext/module.rb:<wbr>36:<wbr>in `const_missing&apos;
  /opt/rh/ruby193/root/usr/share/gems/gems/foreman_openscap-0.3.2.11/lib/foreman_openscap/engine.rb:<wbr>80:<wbr>in `block in &lt;class:<wbr>Engine&gt;&apos;
  /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:<wbr>484:<wbr>in `_run__2353158338738899823__prepare__3320762777086505663__callbacks&apos;
  /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:<wbr>405:<wbr>in `__run_callback&apos;
  /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:<wbr>385:<wbr>in `_run_prepare_callbacks&apos;
  /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:<wbr>81:<wbr>in `run_callbacks&apos;
  /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/reloader.rb:<wbr>74:<wbr>in `prepare!&apos;
  /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/reloader.rb:<wbr>48:<wbr>in `prepare!&apos;
  /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/application/finisher.rb:<wbr>47:<wbr>in `block in &lt;module:<wbr>Finisher&gt;&apos;
  /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/initializable.rb:<wbr>30:<wbr>in `instance_exec&apos;
  /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/initializable.rb:<wbr>30:<wbr>in `run&apos;
  /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/initializable.rb:<wbr>55:<wbr>in `block in run_initializers&apos;
  /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/initializable.rb:<wbr>54:<wbr>in `each&apos;
  /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/initializable.rb:<wbr>54:<wbr>in `run_initializers&apos;
  /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/application.rb:<wbr>136:<wbr>in `initialize!&apos;
  /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/railtie/configurable.rb:<wbr>30:<wbr>in `method_missing&apos;
  /usr/share/foreman/config/environment.rb:<wbr>12:<wbr>in `&lt;top (required)&gt;&apos;
  /opt/rh/ruby193/root/usr/share/rubygems/rubygems/custom_require.rb:<wbr>36:<wbr>in `require&apos;
  /opt/rh/ruby193/root/usr/share/rubygems/rubygems/custom_require.rb:<wbr>36:<wbr>in `require&apos;
  config.ru:<wbr>3:<wbr>in `block in &lt;main&gt;&apos;
  /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/builder.rb:<wbr>51:<wbr>in `instance_eval&apos;
  /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/builder.rb:<wbr>51:<wbr>in `initialize&apos;
  config.ru:<wbr>1:<wbr>in `new&apos;
  config.ru:<wbr>1:<wbr>in `&lt;main&gt;&apos;
  /usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/helper-scripts/rack-preloader.rb:<wbr>105:<wbr>in `eval&apos;
  /usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/helper-scripts/rack-preloader.rb:<wbr>105:<wbr>in `preload_app&apos;
  /usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/helper-scripts/rack-preloader.rb:<wbr>150:<wbr>in `&lt;module:<wbr>App&gt;&apos;
  /usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/helper-scripts/rack-preloader.rb:<wbr>29:<wbr>in `&lt;module:<wbr>PhusionPassenger&gt;&apos;
  /usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/helper-scripts/rack-preloader.rb:<wbr>28:<wbr>in `&lt;main&gt;&apos;
</pre>

				<dl>
				<dt>Application root</dt>
				<dd>/usr/share/foreman</dd>
				<dt>Environment (value of RAILS_ENV, RACK_ENV, WSGI_ENV and PASSENGER_ENV)</dt>
				<dd>production</dd>
				
					<dt>Ruby interpreter command</dt>
					<dd><pre>/usr/bin/ruby193-ruby</pre></dd>
				
				<dt>User and groups</dt>
				<dd><pre>uid=<wbr>496(foreman) gid=<wbr>495(foreman) groups=<wbr>495(foreman),<wbr>52(puppet),<wbr>498(qpidd),<wbr>501(docker) context=<wbr>unconfined_u:<wbr>system_r:<wbr>passenger_t:<wbr>s0
</pre></dd>
				<dt>Environment variables</dt>
				<dd><pre>MANPATH =<wbr> /opt/rh/v8314/root/usr/share/man:<wbr>/opt/rh/ruby193/root/usr/s

Expected results:


Additional info:

command should work
Comment 2 Og Maciel 2015-10-06 11:03:04 EDT
Verified on Satellite-6.1.0-RHEL-6-20151005.1 compose

# hammer -u admin -p changeme ping
candlepin:
    Status:          ok
    Server Response: Duration: 37ms
candlepin_auth:
    Status:          ok
    Server Response: Duration: 38ms
pulp:
    Status:          ok
    Server Response: Duration: 40ms
pulp_auth:
    Status:          ok
    Server Response: Duration: 217ms
elasticsearch:
    Status:          ok
    Server Response: Duration: 13ms
foreman_tasks:
    Status:          ok
    Server Response: Duration: 1ms
Comment 3 Bryan Kearney 2015-10-15 14:49:11 EDT
This bug was fixed with Satellite 6.1.3 which was released on 15 October, 2015. The errata for this release are

 https://access.redhat.com/errata/RHBA-2015:1910
 https://access.redhat.com/errata/RHBA-2015:1911

Note You need to log in before you can comment on or make changes to this bug.